import renderer.scene.*;
import renderer.framebuffer.*;
import renderer.pipeline.*;

import java.awt.Color;

public class Lines
{
   public static void main(String[] args)
   {
      Scene scene = new Scene();
      Model model = new Model("lines");
      scene.addModel(model);

      model.addVertex(new Vertex( 5, 4, -6),
                      new Vertex(-1, .5, -2));

      model.addVertex(new Vertex( 5, 4, -3),
                      new Vertex(-1, .5, -2));

      model.addLineSegment(new LineSegment(0, 1));
      model.addLineSegment(new LineSegment(1, 2));

      FrameBuffer fb = new FrameBuffer(100, 100);
      fb.clearFB(Color.darkGray);
      Pipeline.debug = true;
      //model.debug = true;
      //Clip.debug = true;
      //Rasterize.debug = true;
      Pipeline.render(scene, fb.vp);

      fb.dumpFB2File("Lines.ppm");
   }
}
